export declare type Mockable = Record<string, any>;
declare type SpyOn = (obj: Mockable, method: keyof typeof obj) => any;
declare type MockInfo = {
    mock: Mockable;
    mocked: Mockable;
    scope: string;
    callsFactory?: (methodName: string) => (...args: any[]) => any;
    moduleName?: string;
    active: boolean;
};
declare type MockScope = MockInfo[];
export declare const defaultScope: string;
export declare const _mocks: {
    [scoping: string]: MockScope;
};
export declare const setScope: (scoping?: string) => void;
export declare const createMock: <T extends Mockable, K extends keyof T>(obj: T, methods: K[], callsFactory?: MockInfo['callsFactory'], moduleName?: string) => { [P in K]: any; };
export declare const couldNotInitError: (scope: string, additional: string) => Error;
export declare const initMocks: (spyOn: SpyOn, scoping?: string) => void;
export {};
